import { Construct } from 'constructs';
import { ReferenceAuthResources, ResourceProvider } from '@aws-amplify/plugin-types';
import { AuthOutput } from '@aws-amplify/backend-output-schemas';
import { ReferenceAuthProps } from './reference_factory.js';
/**
 * Expected key that auth output is stored under - must match backend-output-schemas's authOutputKey
 */
export declare const authOutputKey = "AWS::Amplify::Auth";
/**
 * These properties are fetched by the custom resource and must be accounted for
 * in the final AuthOutput payload.
 */
export declare const OUTPUT_PROPERTIES_PROVIDED_BY_AUTH_CUSTOM_RESOURCE: (keyof AuthOutput['payload'])[];
/**
 * Reference Auth construct for using external auth resources
 */
export declare class AmplifyReferenceAuth extends Construct implements ResourceProvider<ReferenceAuthResources> {
    resources: ReferenceAuthResources;
    private configurationCustomResource;
    /**
     * Create a new AmplifyConstruct
     */
    constructor(scope: Construct, id: string, props: ReferenceAuthProps);
    /**
     * Stores auth output using the provided strategy
     */
    private storeOutput;
}
//# sourceMappingURL=reference_construct.d.ts.map